version: '3'
services:
    api:
        build: ./api-layer
        image: app
        ports:
            -  "5555:5000"
        volumes:
            - ./api-layer:/usr/src/app:cached
        links:
            - mongo-db
    mongo-db:
        build: .
        image: mongodb
        ports:
            - "27017:27017"
    mongo_seed:
        build: ./db
        image: mongo-seed
        links:
            - mongo-db